package common.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NBTTagFloat extends NBTBase
{
    private float data;

    NBTTagFloat()
    {
    }

    public NBTTagFloat(float data)
    {
        this.data = data;
    }

    void write(DataOutput output) throws IOException
    {
        output.writeFloat(this.data);
    }

    void read(DataInput input, int depth, SizeTracker sizeTracker) throws IOException
    {
        sizeTracker.read(12);
        this.data = input.readFloat();
    }

    public byte getId()
    {
        return (byte)5;
    }

    public String toString()
    {
        return "" + this.data + "f";
    }

    public NBTBase copy()
    {
        return new NBTTagFloat(this.data);
    }

    public boolean equals(Object other)
    {
        if (super.equals(other))
        {
            NBTTagFloat nbttagfloat = (NBTTagFloat)other;
            return this.data == nbttagfloat.data;
        }
        else
        {
            return false;
        }
    }

    public int hashCode()
    {
        return super.hashCode() ^ Float.floatToIntBits(this.data);
    }

    public float getFloat()
    {
        return this.data;
    }
}
