package common.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NBTTagShort extends NBTBase
{
    private short data;

    public NBTTagShort()
    {
    }

    public NBTTagShort(short data)
    {
        this.data = data;
    }

    void write(DataOutput output) throws IOException
    {
        output.writeShort(this.data);
    }

    void read(DataInput input, int depth, SizeTracker sizeTracker) throws IOException
    {
        sizeTracker.read(10);
        this.data = input.readShort();
    }

    public byte getId()
    {
        return (byte)2;
    }

    public String toString()
    {
        return "" + this.data + "s";
    }

    public NBTBase copy()
    {
        return new NBTTagShort(this.data);
    }

    public boolean equals(Object other)
    {
        if (super.equals(other))
        {
            NBTTagShort nbttagshort = (NBTTagShort)other;
            return this.data == nbttagshort.data;
        }
        else
        {
            return false;
        }
    }

    public int hashCode()
    {
        return super.hashCode() ^ this.data;
    }

    public short getShort()
    {
        return this.data;
    }
}
